
function param = eeg_read_parameters(inffile, epfile)
  [fid, msg] = fopen(inffile, "rt");
  if fid < 0
    error(msg);
  end

  p.tstim = 0;
  p.bandwidth = 2;
  p.filtertype = 'g';

  while !feof(fid)
    # read data ID and size
    [dataID, equalsign, datasize] = fscanf(fid, "%s%c%d", "C");
    
    if !feof(fid)
      # read number of channels
      if strcmp(dataID, "PLGNC")
        param.nchan = fscanf(fid, "%d");
      end
    
      # read samplerate
      if strcmp(dataID, "PLGSR(Hz)")
        param.samplerate = fscanf(fid, "%f");
      end
    end
  end
  
  if strcmp(epfile, '') 
    p.elecpos = {}; 
  else 
    p.elecpos = eeg_read_elecpos(epfile); 
    if length(p.elecpos) < p.nchan
      printf("warning: mismatching number of channels in file %s\n", epfile);
    end
  end
end

    