
## Copyright (C) 2007 - Alfonso Alba
## 
## This file is part of OctavEEG, an EEG processing library for GNU Octave
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

## Usage: IMG = eeg_read_rawimg(FILE, XRES)
##
## Reads a 8-bit (grayscale) image from the file specified by FILE
## stored in raw format. XRES specifies the number of columns in the
## image.

## Author: Alfonso Alba <fac@galia.fc.uaslp.mx>
## Keywords: OctavEEG eeg signal-processing

function img = eeg_read_rawimg(file, xres) 
	fid = fopen(file, 'rb');
	img = uint8(fread(fid, [xres, Inf], "uchar")');
	fclose(fid);
end
