
## Copyright (C) 2007 - Alfonso Alba
## 
## This file is part of OctavEEG, an EEG processing library for GNU Octave
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

## Usage: X = eeg_remove_singletondims(X)
##
## Removes singleton dimensions from matrix X.

## Author: Alfonso Alba <fac@galia.fc.uaslp.mx>
## Keywords: OctavEEG eeg signal-processing

function x = eeg_remove_singletondims(x)
  d = find(size(x) > 1);
  if length(d) == 0
    dims = [0, 0];
  else
    if length(d) == 1
      dims = [1, size(x)(d)];
    else
      dims = size(x)(d);
  end
  x = reshape(x, dims);
end
